Package de.willuhn.jameica.hbci.server

# Class UmsatzTypBean

java.lang.Object
de.willuhn.jameica.hbci.server.UmsatzTypBean

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.GenericObjectNode`, `Remote`

public class UmsatzTypBean extends Object implements de.willuhn.datasource.GenericObjectNode
Hilfsklasse zur formatierten Anzeige der Umsatz-Kategorien.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypBean(UmsatzTyp typ)`
ct.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(de.willuhn.datasource.GenericObject arg0)`
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`de.willuhn.datasource.GenericIterator`
`getChildren()`
`String`
`getID()`
`String`
`getIndented()`
Liefert den formatierten Namen der Umsatzkategorie mit passender Einrueckung.
`int`
`getLevel()`
Liefert das Level des Umsatzes in der Hierarchie.
`UmsatzTypBean`
`getParent()`
Liefert das Eltern-Element oder NULL, wenn es ein Root-Element ist.
`de.willuhn.datasource.GenericIterator`
`getPath()`
`String`
`getPathName()`
Liefert den Namen der Kategorie mit dem Namen der uebergeordneten Kategorie.
`de.willuhn.datasource.GenericIterator`
`getPossibleParents()`
`String`
`getPrimaryAttribute()`
`UmsatzTyp`
`getTyp()`
Liefert den Umsatz-Typ.
`boolean`
`hasChild(de.willuhn.datasource.GenericObjectNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypBean

public UmsatzTypBean(UmsatzTyp typ)
ct.

Parameters:
  `typ` -

## Method Details

### getParent

public UmsatzTypBean getParent()
Liefert das Eltern-Element oder NULL, wenn es ein Root-Element ist.

Specified by:
  `getParent` in interface `de.willuhn.datasource.GenericObjectNode`
Returns:
  das Eltern-Element oder NULL, wenn es ein Root-Element ist.

### getTyp

public UmsatzTyp getTyp()
Liefert den Umsatz-Typ.

Returns:
  typ der Umsatz-Typ.

### getLevel

public int getLevel()
Liefert das Level des Umsatzes in der Hierarchie. Level 0 entspricht den Root-Elementen.

Returns:
  level das Level in der Hierarchie.

### getIndented

public String getIndented() throws RemoteException
Liefert den formatierten Namen der Umsatzkategorie mit passender Einrueckung.

Returns:
  der formatierte Name der Umsatzkategorie mit passender Einrueckung.
Throws:
  `RemoteException`

### getPathName

public String getPathName() throws RemoteException
Liefert den Namen der Kategorie mit dem Namen der uebergeordneten Kategorie.

Returns:
  der Name der Kategorie mit dem Namen der uebergeordneten Kategorie.
Throws:
  `RemoteException`

### equals

public boolean equals(de.willuhn.datasource.GenericObject arg0) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### getChildren

public de.willuhn.datasource.GenericIterator getChildren() throws RemoteException

Specified by:
  `getChildren` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getChildren()`

### getPath

public de.willuhn.datasource.GenericIterator getPath() throws RemoteException

Specified by:
  `getPath` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPath()`

### getPossibleParents

public de.willuhn.datasource.GenericIterator getPossibleParents() throws RemoteException

Specified by:
  `getPossibleParents` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPossibleParents()`

### hasChild

public boolean hasChild(de.willuhn.datasource.GenericObjectNode node) throws RemoteException

Specified by:
  `hasChild` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.hasChild(de.willuhn.datasource.GenericObjectNode)`